import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaProbeOs } from '@overflow/commons-typescript/model/meta';

export const metaProbeOsEntityAdapter = createEntityAdapter<MetaProbeOs, RPCClientError>();
export interface State extends EntityState<MetaProbeOs, RPCClientError> {
}
export const initialState: State = metaProbeOsEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaProbeOsEntityAdapter.getSelectors(selector),
  };
}
